跳转到主要内容
POST
/
gemini
/
video
/
object
/
remove
Remove object from video
curl --request POST \
  --url https://api.mountsea.ai/gemini/video/object/remove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "videoId": "CAUSJD...",
  "imageMask": "/9j/4AAQSkZJRg...",
  "prompt": "remove the white cloud"
}
'
{
  "taskId": "<string>"
}

概述

使用蒙版图像从之前生成的视频中移除特定区域的物体。
  • 移除操作必须提供 imageMask
  • 需要来自之前生成视频的有效 videoId(mediaId)
imageMask 应为 base64 编码的 JPEG 图像,其中白色区域表示要移除的物体。AI 会使用上下文合适的内容填充移除区域。

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
videoId
string
必填

Video ID (mediaId) from a previously generated video

示例:

"CAUSJD..."

imageMask
string
必填

Base64 encoded JPEG image mask (required). White areas indicate the object to remove.

示例:

"/9j/4AAQSkZJRg..."

prompt
string

Prompt describing what to remove (can be empty string)

示例:

"remove the white cloud"

响应

201 - application/json
taskId
string
必填

task id, used to get task result later